#
# spec file for package xarchie (Version 2.0.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xarchie
Copyright:    distributable
Group:        X11/Applications/Internet 
Provides:     xarchie 
Autoreqprov:  on
Version:      2.0.10
Release:      391
Summary:      X11 tool to search archie servers
Source:       xarchie-%{version}.tar.bz2
Patch:        xarchie-%{version}.dif
Patch1:       xarchie-%{version}-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This program allows you to search the various archie servers
automatically for a given file. You need an internet connection, though.

Authors:
--------
    Alan Emtage <bajan@cs.mcgill.com>
    Bill Heelan <wheelan@cs.mcgill.ca>
    Brendan Kehoe <brendan@cygnus.com>
    George Ferguson <ferguson@cs.rochester.edu>
    Peter Deutsch <peterd@bunyip.com>

SuSE series: xap

%prep
%setup
%patch
%patch1

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
make "DESTDIR=$RPM_BUILD_ROOT" install.man

%files
%defattr(-,root,root)
%doc PROBLEMS README README.FILES README.PROSP MANIFEST
/usr/X11R6/bin/xarchie
%config /usr/X11R6/lib/X11/app-defaults/Xarchie
%doc /usr/X11R6/man/man1/xarchie.1x*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n xarchie
* Wed Jun 06 2001 - schwab@suse.de
- Fix invalid casts.
* Wed May 23 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Mon Nov 20 2000 - cihlar@suse.cz
- bzipped sources
- fixed copyright
* Tue Apr 11 2000 - cihlar@suse.cz
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 24 1998 - ro@suse.de
- hack for glibc: define __alloca for regexp
